package com.compdfkit.conversion.flutter.plugin.utils

import android.content.Context
import android.net.Uri
import android.os.Build
import android.os.Environment
import androidx.core.content.FileProvider
import java.io.File

/**
 *  FileUtils.kt
 *
 *  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 *
 *  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 *  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 *  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 *  This notice may not be removed from this file.
 **/
object FileUtils {

    fun onGetUriBySystem(context: Context, filePath: String?): Uri? {
        var file = File(filePath)
        return when {
            (null == file) || !file.exists() -> null
            (Build.VERSION.SDK_INT <= Build.VERSION_CODES.M) -> Uri.fromFile(file)
            else -> FileProvider.getUriForFile(context, context.packageName + ".fileprovider", file)
        }
    }

    fun getOutputFilePath(context: Context): String {
        return File(Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DOWNLOADS), "ConPDFKitConversion").absolutePath
    }
}