import 'package:flutter/material.dart';
import 'package:kmpdfkit_conversion_flutter/cpdf_converter.dart';
import 'package:kmpdfkit_conversion_flutter_example/states/convert_options_provider.dart';
import 'package:kmpdfkit_conversion_flutter_example/states/convert_provider.dart';
import 'package:kmpdfkit_conversion_flutter_example/widgets/conversion_sdk_info_widget.dart';
import 'package:kmpdfkit_conversion_flutter_example/widgets/convert_options_widget.dart';
import 'package:kmpdfkit_conversion_flutter_example/widgets/convert_list_widget.dart';

import 'package:provider/provider.dart';

void main() {
  runApp(MultiProvider(
    providers: [
      ChangeNotifierProvider(create: (_) => ConvertTaskQueueProvider()),
      ChangeNotifierProvider(create: (_) => ConvertOptionsProvider())
    ],
    child: const MyApp(),
  ));
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        title: 'ComPDFKitConversionDemo',
        theme: ThemeData(
          primarySwatch: Colors.blue,
        ),
        home: const MyHomePage(title: 'ComPDFKitConversionDemo'));
  }
}

class MyHomePage extends StatefulWidget {
  const MyHomePage({super.key, required this.title});

  final String title;

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {

  @override
  void initState() {
    super.initState();
    CPDFConverter.init("HcEZS8HQrBctbJli1xlWOJZq3SAVyEJGiOLDVgu7TaSCTutQTwE7Ob0BHdoyyqeauYV5qpfpv+0sqREPobyjxMYPXPWgfR9tu1l8cBzY1aagCXmEmH52tqT11le1QLdQpIHuMEjl0kNKrrnXoZg5IXM+yK+zGPFZur+Sg36vEak=",
        "mG0c3O3Mzeu5dkZJW3gpqotjgd+APU/4fMqIHQR4gdwo2nT+JSjvjfOo8NxHMSkD++hxhwHCwPoJfrSZGObicXKC+c93UnqcfqUbcdY/oQKcM/fgvvcctF5rcqYAH1dpMv7C2jvq4o0q6sQtN3jR43QdIezW2vV5wIeyNjPTddUNBwTRKvRkQ75Y56jVVUcsWiExjnRPpqLnyppZAnYJ1tnsa41fJuMqWbPW2c3qJUemdtKP7E4eFYSl6tjgcetK");
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text(widget.title),
        ),
        body: Padding(
          padding: const EdgeInsets.all(8),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: const <Widget>[
              ConversionSdkInfoWidget(),//conversion sdk info widget
              ConvertConfigWidget(), //convert options widget,
              Expanded(child: ConvertListWidget())
            ],
          ),
        ));
  }
}