import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import '../../states/convert_options_provider.dart';



///  convert_csv_options_widget.dart
///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

class ConvertCSVOptionsWidget extends StatefulWidget {
  const ConvertCSVOptionsWidget({Key? key}) : super(key: key);

  @override
  State<ConvertCSVOptionsWidget> createState() =>
      _ConvertCSVOptionsWidgetState();
}

class _ConvertCSVOptionsWidgetState extends State<ConvertCSVOptionsWidget> {
  @override
  Widget build(BuildContext context) {
    bool mergeCSV = context.select<ConvertOptionsProvider, bool>(
        (value) => value.csvOptions.mergeCSV);
    return Padding(
        padding: const EdgeInsets.all(8),
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                const Text('MergeCSV'),
                Switch(
                    value: mergeCSV,
                    onChanged: (value) {
                      context
                          .read<ConvertOptionsProvider>()
                          .changeCSVOptions(value);
                    })
              ],
            ),
          ],
        ));
  }
}
