//
//  CPDFConvertImgOptions.h
//  ComPDFKit_Conversion
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <ComPDFKit_Conversion/CPDFConvertOptions.h>

typedef NS_ENUM(NSInteger, CPDFConvertImgType) {
    CPDFConvertImgTypeJPEG = 0,
    CPDFConvertImgTypePNG = 1
};

/**
 * PDF to Image conversion parameter object (derived class of CPDFConvertOptions).
 */
@interface CPDFConvertImgOptions : CPDFConvertOptions

/**
 * Sets the image type.
 *
 * @see CPDFConvertImgType
 */
@property (nonatomic,assign) CPDFConvertImgType type;

/**
 * Whether to contain annotations when converting.
 */
@property (nonatomic,assign) BOOL isContainAnnotations;

/**
 * Sets the image Dpi.
 */
@property (nonatomic,assign) int  imageDpi;

@end
