//
//  CPDFConvertKit.h
//  ComPDFKit_Conversion
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <Foundation/Foundation.h>

@interface CPDFConvertKit : NSObject

/**
 * The shared ComPDFKit_Conversion instance.
 */
+ (instancetype)sharedInstance;

/**
 * Activate ComPDFKit_Conversion with your license key and secret.
 */
+ (void)setLicenseKey:(NSString *)licenseKey secret:(NSString *)licenseSecret;

/**
 * Returns the full ComPDFKit_Conversion product version string. (e.g. "ComPDFKit_Conversion 1.0.1 for iOS (101)")
 */
@property(atomic,readonly) NSString *versionString;

/**
 * Returns just the framework version. (e.g. 1.0.1)
 */
@property(atomic,readonly) NSString *versionNumber;

/**
 * The internal build number. Increments with every version.
 */
@property(atomic,readonly) NSUInteger buildNumber;

@end
