//
//  CPDFConvertTxtOptions.h
//  ComPDFKit_Conversion
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <ComPDFKit_Conversion/CPDFConvertOptions.h>

/**
 * PDF to TXT conversion parameter object (derived class of CPDFConvertOptions).
 */
@interface CPDFConvertTxtOptions : CPDFConvertOptions

/**
 * Whether to use OCR.
 */
@property (nonatomic,assign) BOOL isAllowOCR;

/**
 * Set the OCR language,this takes effect only when IsAllowOCR is true.
 */
@property (nonatomic,assign) COCRLanguage language;

@end
