//
//  CPDFConverterCsv.h
//  ComPDFKit_Conversion
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <ComPDFKit_Conversion/CPDFConverter.h>
#import <ComPDFKit_Conversion/CPDFConvertCsvOptions.h>

/**
 * PDF to CSV conversion operation object (derived class of CPDFConverter).
 */
@interface CPDFConverterCsv : CPDFConverter

/**
 * Starts convert the specified source file into the specified file.
 *
 * @param filePath String of the full path to the specified file.
 * @param pageIndexs The page number range.
 */
- (void)convertToFilePath:(NSString *)filePath pageIndexs:(NSArray *)pageIndexs options:(CPDFConvertCsvOptions *)options;

@end
