import 'package:kmpdfkit_conversion_flutter/util/string_extensions.dart';

import 'options.dart';

///  convert_excel_options.dart
///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

class ConvertExcelOptions extends Options {
  bool containImages;
  bool containAnnotations;
  ExcelWorkSheetOptions workSheetOptions;
  ExcelContentOptions contentOptions;

  ConvertExcelOptions(
      {this.containImages = true,
      this.containAnnotations = false,
      this.workSheetOptions = ExcelWorkSheetOptions.forEachPage,
      this.contentOptions = ExcelContentOptions.allContent})
      : super() {
    map['containImages'] = containImages;
    map['containAnnotations'] = containAnnotations;
    map['workSheetOptions'] = workSheetOptions.name.capitalize();
    map['contentOptions'] = contentOptions.name.capitalize();
  }
}

enum ExcelWorkSheetOptions { forEachTable, forEachPage, forTheDocument }

enum ExcelContentOptions { onlyText, onlyTable, allContent }
