import 'package:kmpdfkit_conversion_flutter/util/string_extensions.dart';

import 'options.dart';

///  convert_image_options.dart
///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

class ConvertImageOptions extends Options {
  bool containAnnotations;
  int imageDpi;
  ImagePageOptions imagePageOptions;

  ConvertImageOptions(
      {this.containAnnotations = true,
      this.imageDpi = 300,
      this.imagePageOptions = ImagePageOptions.png})
      : super() {
    assert(imageDpi >= 1 && imageDpi <= 1000,
        'imageDpi should be between 1 and 1000');
    map['containAnnotations'] = containAnnotations;
    map['imageDpi'] = imageDpi;
    map['imagePageOptions'] = imagePageOptions.name.capitalize();
  }
}

enum ImagePageOptions {
  jpeg,
  png,
}
